package router

import (
	"github.com/gin-gonic/gin"
	jwt "github.com/go-admin-team/go-admin-core/sdk/pkg/jwtauth"
	"go-admin/app/admin/apis/bus_apis"
	"go-admin/common/middleware"
)

// 需认证的路由代码
func registerSmsManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	api := bus_apis.SmsApi{}

	sms := v1.Group("/sms").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	{
		sms.POST("/mass_import_phone", api.MassImportPhone)   // 导入号码（群发短信）
		sms.POST("/self_import_phone", api.SelfImportPhone)   // 导入号码（个性短信）
		sms.POST("/file_import_phone", api.FileImportPhone)   // 导入号码（文件短信）
		sms.POST("/excel_import_phone", api.ExcelImportPhone) // 导入号码（EXCEL短信）
		sms.POST("/export_mess_phone", api.ExportMessPhone)   // 导出号码（群发短信）
		sms.POST("/send_pre_check", api.SendPreCheck)         // 短信内容审核
		sms.POST("/send_sms", api.SendSms)                    // 提交发送任务
	}
}
